<?php
/**
 * @var \Illuminate\Database\Eloquent\Collection $options
 * @var int $page_number
 */

use Itguild\EloquentTable\EloquentDataProvider;
use Itguild\EloquentTable\ListEloquentTable;
use kernel\IGTabel\btn\PrimaryBtn;
use kernel\modules\option\models\Option;
use kernel\modules\option\table\columns\OptionDeleteActionColumn;
use kernel\modules\option\table\columns\OptionEditActionColumn;
use kernel\modules\option\table\columns\OptionViewActionColumn;

$table = new ListEloquentTable(new EloquentDataProvider(Option::class, [
    'current_page' => $page_number,
    'per_page' => 5,
    'params' => ["class" => "table table-bordered", "border" => "2"],
    'baseUrl' => "/admin/option",
]));

$table->beforePrint(function () {
    return PrimaryBtn::create("Создать", "/admin/option/create")->fetch();
    //return (new PrimaryBtn("Создать", "/admin/user/create"))->fetch();
});

$table->addAction(OptionViewActionColumn::class);
$table->addAction(OptionEditActionColumn::class);
$table->addAction(OptionDeleteActionColumn::class);
$table->create();
$table->render();